#ifndef PkgDest_3L_INCLUDED
#define PkgDest_3L_INCLUDED

#include <bncs_script_helper.h>

#ifdef WIN32
	#ifdef DOEXPORT_SCRIPT
		#define EXPORT_SCRIPT __declspec(dllexport) 
	#else
		#define EXPORT_SCRIPT 
	#endif
#else 
	#define EXPORT_SCRIPT
#endif
 
class PkgDest_3L : public bncs_script_helper
{
public:
	PkgDest_3L(bncs_client_callback * parent, const char* path);
	virtual ~PkgDest_3L();

	void buttonCallback(buttonNotify *b);
	int revertiveCallback(revertiveNotify *r);
	void databaseCallback(revertiveNotify *r);
	bncs_string parentCallback(parentNotify *p);
	void timerCallback(int);
	
private:
	bncs_string m_instance;
	bncs_string mymatrixobject;
	bncs_string myBtnDeselectState;
	bncs_string myBtnSelectState;
	bncs_string mytallystate_1;
	bncs_string mytallystate_2;
	bncs_string mytallystate_3;
	bncs_string myunusedleveltext;

	int myMatrixID;
	int myDestID;
	int myNamesDatabase;
	int pkg_names;
	int pkg_content;
	int L1_driverID;
	int L2_driverID;
	int L3_driverID;
	int L1_destination;
	int L2_destination;
	int L3_destination;

	bool iAmSelected;
	
	// Local methods
	void extractElements();
};


#endif // SingleMtxDest_INCLUDED